tt_otype_osig_args_count(library call)

NAME
tt_otype_osig_args_count — returns the number of arguments of a notice signature of an otype

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_otype_osig_args_count(
const char *otype,
int sig);

DESCRIPTION

The tt_otype_osig_args_count function returns the number of arguments of the sigth notice signature of the given otype.

The otype argument is the object type involved in this operation. The sig argument is the zero-based index into the notice signatures of the specified otype.

RETURN VALUE

Upon successful completion, the tt_otype_osig_args_count function returns the number of arguments of the sigth notice signature of the given otype. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_otype_osig_arg_type(3), tt_otype_osig_arg_mode(3), tt_otype_osig_count(3), tt_otype_osig_op(3), tt_int_error(3).